package com.miaxis.question.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.miaxis.question.domain.QuestionInfo;
import com.miaxis.question.domain.QuestionInfoKtNew;
import com.miaxis.question.dto.QuestionInfoDTO;
import com.miaxis.question.dto.QuestionInfoFreeDTO;
import com.miaxis.question.dto.QuestionInfoNewDTO;
import com.miaxis.question.dto.QuestionInfoNewTestDTO;

import java.util.List;

/**
 * 获取快通题库Service接口
 *
 * @author miaxis
 * @date 2023-11-03
 */
public interface IQuestionInfoKtNewService extends IService<QuestionInfoKtNew>{
    /**
     * 查询获取快通题库列表
     *
     * @param questionInfoKtNew 获取快通题库
     * @return 获取快通题库集合
     */
    public List<QuestionInfoKtNew> selectQuestionInfoKtNewList(QuestionInfoKtNew questionInfoKtNew);


    public int selectQuestionInfoKtNewCount(QuestionInfoKtNew questionInfoKtNew);


    List<QuestionInfoKtNew> selectTestK14QuestionInfoList(QuestionInfoNewTestDTO questionInfoNewTestDTO);

    List<QuestionInfoKtNew> selectFreeQuestionInfo(QuestionInfoFreeDTO freeDTO);

    List<QuestionInfoKtNew> selectQuestionInfoList(QuestionInfoNewDTO questionInfoNewDTO);

    List<QuestionInfoKtNew> selectNormalQuestionInfoList(QuestionInfoNewDTO questionInfoNewDTO);

    List<QuestionInfoKtNew> selectQuestionInfoListByIds(Long[] ids);
}
